## wimlib 1.14.4

=== examples/Makefile ===
CFLAGS := -Wall
LDLIBS := -lwim

EXE := applywim capturewim updatewim compressfile decompressfile

all:$(EXE)

clean:
	rm -f $(EXE)

.PHONY: all clean

## wimlib 1.8.3-1

=== debian/changelog ===
wimlib (1.8.3-1) unstable; urgency=low

  * Update to v1.8.3

 -- Eric Biggers <ebiggers3@gmail.com>  Sat, 14 Nov 2015 13:29:29 -0600

wimlib (1.8.2-1) unstable; urgency=low

  * Update to v1.8.2

 -- Eric Biggers <ebiggers3@gmail.com>  Sat, 22 Aug 2015 09:19:10 -0500

wimlib (1.8.1-1) unstable; urgency=low

  * Update to v1.8.1

 -- Eric Biggers <ebiggers3@gmail.com>  Sat, 16 May 2015 12:35:15 -0500

wimlib (1.8.0-1) unstable; urgency=low

  * Update to v1.8.0

 -- Eric Biggers <ebiggers3@gmail.com>  Tue, 24 Feb 2015 22:54:49 -0600

wimlib (1.7.4-1) unstable; urgency=low

  * Update to v1.7.4

 -- Eric Biggers <ebiggers3@gmail.com>  Fri, 02 Jan 2015 20:01:28 -0600

wimlib (1.7.3-1) unstable; urgency=low

  * Update to v1.7.3

 -- Eric Biggers <ebiggers3@gmail.com>  Thu, 13 Nov 2014 18:11:27 -0600

wimlib (1.7.2-1) unstable; urgency=low

  * Update to v1.7.2

 -- Eric Biggers <ebiggers3@gmail.com>  Thu, 02 Oct 2014 20:24:27 -0500

wimlib (1.7.1-1) unstable; urgency=low

  * Update to v1.7.1

 -- Eric Biggers <ebiggers3@gmail.com>  Wed, 06 Aug 2014 22:34:49 -0500

wimlib (1.7.0-1) unstable; urgency=low

  * Update to v1.7.0

 -- Eric Biggers <ebiggers3@gmail.com>  Sat, 07 Jun 2014 21:34:56 -0500

wimlib (1.6.2-1) unstable; urgency=low

  * Update to v1.6.2

 -- Eric Biggers <ebiggers3@gmail.com>  Fri, 14 Mar 2014 15:59:59 -0500

wimlib (1.6.1-1) unstable; urgency=low

  * Update to v1.6.1

 -- Eric Biggers <ebiggers3@gmail.com>  Sun, 12 Jan 2014 23:13:44 -0600

wimlib (1.6.0-1) unstable; urgency=low

  * Update to v1.6.0

 -- Eric Biggers <ebiggers3@gmail.com>  Sat, 28 Dec 2013 11:13:54 -0600

wimlib (1.5.3-1) unstable; urgency=low

  * Update to v1.5.3

 -- Eric Biggers <ebiggers3@gmail.com>  Sun, 08 Dec 2013 00:34:21 -0600

wimlib (1.5.2-1) unstable; urgency=low

  * Update to v1.5.2

 -- Eric Biggers <ebiggers3@gmail.com>  Sun, 17 Nov 2013 17:10:43 -0600

wimlib (1.5.1-1) unstable; urgency=low

  * Update to v1.5.1

 -- Eric Biggers <ebiggers3@gmail.com>  Fri, 11 Oct 2013 09:34:20 -0500

wimlib (1.5.0-1) unstable; urgency=low

  * Update to v1.5.0

 -- Eric Biggers <ebiggers3@gmail.com>  Fri, 16 Aug 2013 20:51:08 -0500

wimlib (1.4.2-1) unstable; urgency=low

  * Update to v1.4.2

 -- Eric Biggers <ebiggers3@gmail.com>  Tue, 11 Jun 2013 19:46:09 -0500

wimlib (1.4.1-1) precise; urgency=low

  * Update to v1.4.1

 -- Eric Biggers <ebiggers3@gmail.com>  Mon, 20 May 2013 14:01:44 -0500

wimlib (1.4.0-1) unstable; urgency=low

  * Update to v1.4.0; moved wimlib-imagex and mkwinpeimg to "wimtools"
    package.

 -- Eric Biggers <ebiggers3@gmail.com>  Sun, 12 May 2013 22:59:55 -0500

wimlib (1.3.3-1) unstable; urgency=low

  * Update to v1.3.3

 -- Eric Biggers <ebiggers3@gmail.com>  Mon, 08 Apr 2013 00:16:50 -0500

wimlib (1.3.2-1) unstable; urgency=low

  * Update to v1.3.2

 -- Eric Biggers <ebiggers3@gmail.com>  Sat, 23 Mar 2013 20:00:14 -0500

wimlib (1.3.1-1) unstable; urgency=low

  * Update to v1.3.1

 -- Eric Biggers <ebiggers3@gmail.com>  Fri, 22 Mar 2013 01:05:27 -0500

wimlib (1.3.0-1) unstable; urgency=low

  * Update to v1.3.0

 -- Eric Biggers <ebiggers3@gmail.com>  Sun, 10 Mar 2013 18:46:29 -0700

wimlib (1.2.6-1) unstable; urgency=low

  * Update to v1.2.6

 -- Eric Biggers <ebiggers3@gmail.com>  Tue, 05 Mar 2013 14:26:59 -0600

wimlib (1.2.5-1) unstable; urgency=low

  * Update to v1.2.5

 -- Eric Biggers <ebiggers3@gmail.com>  Tue, 05 Feb 2013 20:26:47 -0600

wimlib (1.2.4-1) unstable; urgency=low

  * Update to v1.2.4

 -- Eric Biggers <ebiggers3@gmail.com>  Tue, 29 Jan 2013 20:19:29 -0600

wimlib (1.2.3-1) unstable; urgency=low

  * Update to v1.2.3

 -- Eric Biggers <ebiggers3@gmail.com>  Mon, 31 Dec 2012 14:33:36 -0600

wimlib (1.2.2-1) unstable; urgency=low

  * Update to v1.2.2

 -- Eric Biggers <ebiggers3@gmail.com>  Fri, 21 Dec 2012 12:39:22 -0600

wimlib (1.2.1-1) unstable; urgency=low

  * Update to v1.2.1

 -- Eric Biggers <ebiggers3@gmail.com>  Tue, 18 Dec 2012 11:25:02 -0600

wimlib (1.2.0-1) unstable; urgency=low

  * Update to v1.2.0

 -- Eric Biggers <ebiggers3@gmail.com>  Thu, 22 Nov 2012 14:35:33 -0600

wimlib (1.1.0-1) unstable; urgency=low

  * Update to v1.1.0

 -- Eric Biggers <ebiggers3@gmail.com>  Sun, 18 Nov 2012 13:49:54 -0600

wimlib (1.0.4-1) unstable; urgency=low

  * Update to v1.0.4

 -- Eric Biggers <ebiggers3@gmail.com>  Mon, 29 Oct 2012 03:57:13 +0000

wimlib (0.6.3-1) unstable; urgency=low

  * Initial release of Debian package

 -- Eric Biggers <ebiggers3@gmail.com>  Tue, 01 May 2012 23:48:40 -0500

=== debian/control ===
Source: wimlib
Priority: optional
Maintainer: Eric Biggers <ebiggers3@gmail.com>
Build-Depends: debhelper (>= 8.9.7), autotools-dev, pkg-config,
               libfuse-dev, libxml2-dev, libssl-dev,
               ntfs-3g-dev (>= 2011.4.12), attr-dev, attr
Build-Depends-Indep: doxygen
Standards-Version: 3.9.3
Section: libs
Homepage: http://wimlib.net
Vcs-Git: git://wimlib.net/wimlib

Package: wimlib15
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wimtools
Description: Library to extract, create, modify, and mount WIM files
 wimlib is a C library for extracting, creating, modifying, and mounting WIM
 (Windows Imaging) files.  WIM is an archive format designed primarily for
 archiving Windows filesystems.  It features single-instancing and LZ77-based
 compression, and is used by Microsoft to distribute and deploy Windows Vista and
 later.  wimlib is an independent implementation of an API for handling WIM
 files, available on both UNIX-like systems and Windows, that provides features
 similar to Microsoft's WIMGAPI, as well as additional features such as support
 for pipable WIM files and programatically making changes to WIM images without
 mounting them.


Package: wimtools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: genisoimage, mtools, syslinux, cabextract
Description: Tools to extract, create, modify, and mount WIM files
 Tools to extract, create, modify, and mount WIM (Windows Imaging) files.  WIM is
 an archive format designed primarily for archiving Windows filesystems.  It
 features single-instancing and LZ77-based compression and is used by Microsoft
 to distribute and deploy Windows Vista and later.  WIM files are normally
 created by using the `imagex.exe' utility on Windows, but this package contains
 a free implementation of ImageX called "wimlib-imagex" that is designed to work
 on both UNIX-like systems and Windows.
 .
 In addition to the usual extract/create/update support, wimlib-imagex allows you
 to mount WIM images readonly or read-write, and it even allows you to extract or
 create a WIM image directly to/from an unmounted NTFS volume.  This makes it
 possible to, from Linux, back up or deploy a Windows OS directly to or from a
 WIM file, such as the install.wim distributed on the Windows installation media.
 .
 This package also contains a script to make a customized Windows PE image based
 on the capabilities provided by wimlib-imagex.

Package: wimlib-dev
Section: libdevel
Architecture: any
Depends: wimlib15 (= ${binary:Version}), ${misc:Depends}
Suggests: wimlib-doc
Description: wimlib - development files
 Development files for wimlib

Package: wimlib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: wimlib - API documentation
 API documentation for wimlib

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://wimlib.net/downloads/wimlib-(.*)\.tar\.gz

## wimlib 1.9.0

=== debian/changelog ===
wimlib (1.9.0-2) unstable; urgency=medium

  * Do not create jquery symlink (see /usr/share/doc/doxygen/README.jquery)

 -- Hilko Bengen <bengen@debian.org>  Tue, 09 Feb 2016 01:01:21 +0100

wimlib (1.9.0-1) unstable; urgency=medium

  * New upstream version
  * Add missing doxygen build-dependency (Closes: #814136)
  * Only build against ntfs-3g-dev on Linux
  * Disable FUSE-related tests as they do not run correctly under fakeroot
    (Closes: #814151, #814153)

 -- Hilko Bengen <bengen@debian.org>  Mon, 08 Feb 2016 22:06:15 +0100

=== debian/control ===
Source: wimlib
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 9~), dh-autoreconf,
 attr,
 attr-dev,
 doxygen,
 libfuse-dev,
 libxml2-dev,
 libssl-dev,
 ntfs-3g-dev (>= 2011.4.12) [linux-any],
 pkg-config,
Standards-Version: 3.9.6
Section: libs
Homepage: http://wimlib.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/wimlib.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/wimlib.git;a=summary

Package: libwim15
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wimtools
Description: Library for manipulating Windows Imaging files
 wimlib is a C library for extracting, creating, modifying, and
 mounting WIM (Windows Imaging) files.
 .
 WIM is an archive format designed primarily for archiving Windows
 filesystems. It features single-instancing and LZ77-based
 compression, and is used by Microsoft to distribute and deploy
 Windows Vista and later.

Package: wimtools
Section: otherosfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: genisoimage, mtools, syslinux, cabextract
Description: Tools for manipulating Windows Imaging files
 WIM is an archive format designed primarily for archiving Windows
 filesystems. It features single-instancing and LZ77-based
 compression, and is used by Microsoft to distribute and deploy
 Windows Vista and later.
 .
 This package contains a free implementation of the ImageX utility
 that is used to create WIM files on Windows.

Package: libwim-dev
Section: libdevel
Architecture: any
Depends: libwim15 (= ${binary:Version}), ${misc:Depends}
Suggests: wimlib-doc
Description: Library for manipulating Windows Imaging files - development files
 wimlib is a C library for extracting, creating, modifying, and
 mounting WIM (Windows Imaging) files.
 .
 This package contains the static library and header files

Package: libwim-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery,
Description: Library for manipulating Windows Imaging files - API documentation
 wimlib is a C library for extracting, creating, modifying, and
 mounting WIM (Windows Imaging) files.
 .
 This package contains the API documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --with=autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- --without-libcrypto \
		$(if $(findstring linux,$(DEB_HOST_ARCH_OS)),,--without-ntfs-3g)

override_dh_auto_build:
	dh_auto_build
	cd doc && doxygen

override_dh_install:
	dh_install -X.la --fail-missing

## wimlib 1.9.2

=== debian/changelog ===
wimlib (1.9.2-1) unstable; urgency=medium

  * New upstream version
  * Update patch

 -- Hilko Bengen <bengen@debian.org>  Thu, 23 Jun 2016 20:20:56 +0200

wimlib (1.9.1-1) unstable; urgency=medium

  * New upstream version
  * Update patches

 -- Hilko Bengen <bengen@debian.org>  Sun, 20 Mar 2016 13:58:06 +0100

## wimlib 1.9.2-1

=== debian/control ===
Source: wimlib
Priority: optional
Maintainer: Eric Biggers <ebiggers3@gmail.com>
Build-Depends: debhelper (>= 8.9.7), autotools-dev, pkg-config,
               libfuse-dev, libxml2-dev, libssl-dev,
               ntfs-3g-dev (>= 2011.4.12), attr-dev, attr, autoconf
Build-Depends-Indep: doxygen
Standards-Version: 3.9.3
Section: libs
Homepage: https://wimlib.net
Vcs-Git: git://wimlib.net/wimlib

Package: wimlib15
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wimtools
Description: Library to extract, create, modify, and mount WIM files
 wimlib is a C library for extracting, creating, modifying, and mounting WIM
 (Windows Imaging) files.  WIM is an archive format designed primarily for
 archiving Windows filesystems.  It features single-instancing and LZ77-based
 compression, and is used by Microsoft to distribute and deploy Windows Vista and
 later.  wimlib is an independent implementation of an API for handling WIM
 files, available on both UNIX-like systems and Windows, that provides features
 similar to Microsoft's WIMGAPI, as well as additional features such as support
 for pipable WIM files and programatically making changes to WIM images without
 mounting them.


Package: wimtools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: genisoimage, mtools, syslinux, cabextract
Description: Tools to extract, create, modify, and mount WIM files
 Tools to extract, create, modify, and mount WIM (Windows Imaging) files.  WIM is
 an archive format designed primarily for archiving Windows filesystems.  It
 features single-instancing and LZ77-based compression and is used by Microsoft
 to distribute and deploy Windows Vista and later.  WIM files are normally
 created by using the `imagex.exe' utility on Windows, but this package contains
 a free implementation of ImageX called "wimlib-imagex" that is designed to work
 on both UNIX-like systems and Windows.
 .
 In addition to the usual extract/create/update support, wimlib-imagex allows you
 to mount WIM images readonly or read-write, and it even allows you to extract or
 create a WIM image directly to/from an unmounted NTFS volume.  This makes it
 possible to, from Linux, back up or deploy a Windows OS directly to or from a
 WIM file, such as the install.wim distributed on the Windows installation media.
 .
 This package also contains a script to make a customized Windows PE image based
 on the capabilities provided by wimlib-imagex.

Package: wimlib-dev
Section: libdevel
Architecture: any
Depends: wimlib15 (= ${binary:Version}), ${misc:Depends}
Suggests: wimlib-doc
Description: wimlib - development files
 Development files for wimlib

Package: wimlib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: wimlib - API documentation
 API documentation for wimlib

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_OPTIONS=nocheck
%:
	dh $@

override_dh_auto_build-indep:
	set -e; if type doxygen >/dev/null 2>/dev/null; \
	then \
		cd doc && doxygen; \
	fi

## wimlib 1.11.0

=== debian/changelog ===
wimlib (1.11.0-3build1) artful; urgency=medium

  * No-change rebuild against libntfs-3g872

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Jun 2017 04:40:46 +0000

wimlib (1.11.0-3) unstable; urgency=medium

  * Remove x32 FTBFS patch (#814138), it is no longer needed.

 -- Hilko Bengen <bengen@debian.org>  Fri, 26 May 2017 20:02:14 +0200

wimlib (1.11.0-2) unstable; urgency=medium

  * Add patch to fix syslinux module directory (Closes: #863397)
  * Add ifdef fix to enable building on x32 (Closes: #814138)

 -- Hilko Bengen <bengen@debian.org>  Fri, 26 May 2017 19:34:25 +0200

wimlib (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0

 -- Hilko Bengen <bengen@debian.org>  Mon, 23 Jan 2017 20:43:59 +0100

wimlib (1.10.0-1) unstable; urgency=medium

  * New upstream version
  * Update patch

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Aug 2016 10:30:57 +0200

=== debian/control ===
Source: wimlib
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 9~), dh-autoreconf,
 attr,
 attr-dev,
 doxygen,
 libfuse-dev,
 libxml2-dev,
 libssl-dev,
 ntfs-3g-dev (>= 2011.4.12) [linux-any],
 pkg-config,
Standards-Version: 3.9.6
Section: libs
Homepage: http://wimlib.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/wimlib.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/wimlib.git;a=summary

Package: libwim15
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wimtools
Description: Library for manipulating Windows Imaging files
 wimlib is a C library for extracting, creating, modifying, and
 mounting WIM (Windows Imaging) files.
 .
 WIM is an archive format designed primarily for archiving Windows
 filesystems. It features single-instancing and LZ77-based
 compression, and is used by Microsoft to distribute and deploy
 Windows Vista and later.

Package: wimtools
Section: otherosfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: genisoimage, mtools, syslinux, cabextract
Description: Tools for manipulating Windows Imaging files
 WIM is an archive format designed primarily for archiving Windows
 filesystems. It features single-instancing and LZ77-based
 compression, and is used by Microsoft to distribute and deploy
 Windows Vista and later.
 .
 This package contains a free implementation of the ImageX utility
 that is used to create WIM files on Windows.

Package: libwim-dev
Section: libdevel
Architecture: any
Depends: libwim15 (= ${binary:Version}), ${misc:Depends}
Suggests: wimlib-doc
Description: Library for manipulating Windows Imaging files - development files
 wimlib is a C library for extracting, creating, modifying, and
 mounting WIM (Windows Imaging) files.
 .
 This package contains the static library and header files

Package: libwim-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery,
Description: Library for manipulating Windows Imaging files - API documentation
 wimlib is a C library for extracting, creating, modifying, and
 mounting WIM (Windows Imaging) files.
 .
 This package contains the API documentation.

## wimlib 1.12.0

=== debian/changelog ===
wimlib (1.12.0-1build1) bionic; urgency=medium

  * No-change rebuild against latest ntfs-3g

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 02 Dec 2017 21:54:04 -0500

wimlib (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Drop syslinug location patch in favor of upstream's solution
  * Modernize package: DH compat level, Standards-Version, Vvs-* URLs

 -- Hilko Bengen <bengen@debian.org>  Sat, 02 Sep 2017 22:25:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wimlib
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 9~), dh-autoreconf,
+Maintainer: Hilko Bengen <bengen@debian.org>
+Build-Depends: debhelper (>= 10~),
  attr,
  attr-dev,
  doxygen,
@@ -11,10 +10,10 @@
  libssl-dev,
  ntfs-3g-dev (>= 2011.4.12) [linux-any],
  pkg-config,
-Standards-Version: 3.9.6
+Standards-Version: 4.1.0
 Section: libs
 Homepage: http://wimlib.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/wimlib.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/wimlib.git
 Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/wimlib.git;a=summary
 
 Package: libwim15

=== debian/watch ===
version=3

http://wimlib.net/ .*/wimlib-(\d.*)\.tar\.gz

# http://wimlib.net/downloads/index.html wimlib-(\d.*)\.tar\.gz

## wimlib 1.13.0

=== debian/changelog ===
wimlib (1.13.0-1build1) disco; urgency=medium

  * No-change rebuild against libntfs-3g883

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Jan 2019 01:20:39 +0000

wimlib (1.13.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org

  [ Hilko Bengen ]
  * New upstream version 1.13.0
  * Rebase patches
  * Drop unneeded dh --parallel parameter
  * Bump Debhelper compat level
  * Replace dh_install --fail-missing
  * Bump Standards-Version
  * Add not-installed (dh_missing bug?)
  * Update .symbols file

 -- Hilko Bengen <bengen@debian.org>  Wed, 26 Dec 2018 12:58:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wimlib
 Priority: optional
-Maintainer: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 10~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
+Build-Depends: debhelper (>= 11),
  attr,
  attr-dev,
  doxygen,
@@ -10,11 +11,11 @@
  libssl-dev,
  ntfs-3g-dev (>= 2011.4.12) [linux-any],
  pkg-config,
-Standards-Version: 4.1.0
+Standards-Version: 4.3.0
 Section: libs
 Homepage: http://wimlib.net/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/wimlib.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/wimlib.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/wimlib.git
+Vcs-Browser: https://salsa.debian.org/debian/wimlib
 
 Package: libwim15
 Section: libs

## wimlib 1.13.1

=== debian/changelog ===
wimlib (1.13.1-1) unstable; urgency=medium

  * New upstream version 1.13.1

 -- Hilko Bengen <bengen@debian.org>  Mon, 02 Sep 2019 12:15:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: wimlib
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
+Maintainer: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 11),
  attr,
  attr-dev,

## wimlib 1.13.2

=== debian/changelog ===
wimlib (1.13.2-1) unstable; urgency=medium

  * New upstream version 1.13.2

 -- Hilko Bengen <bengen@debian.org>  Sun, 24 May 2020 21:45:01 +0200

## wimlib 1.13.2-2

=== debian/changelog ===
wimlib (1.13.2-2) testing; urgency=medium

  * spec: building without ntfs-3g

 -- Mathias Radtke <m.radtke@uib.de>  Tue, 08 Sep 2020 16:46:51 +0200

wimlib (1.13.2-1) testing; urgency=medium

  * update to v1.13.2 

 -- Mathias Radtke <m.radtke@uib.de>  Tue, 08 Sep 2020 16:07:15 +0200

wimlib (1.9.2-1) unstable; urgency=low

  * Update to v1.9.2

 -- Eric Biggers <ebiggers3@gmail.com>  Tue, 31 May 2016 20:40:27 -0500

wimlib (1.9.1-1) unstable; urgency=low

  * Update to v1.9.1

 -- Eric Biggers <ebiggers3@gmail.com>  Fri, 11 Mar 2016 21:54:00 -0600

wimlib (1.9.0-1) unstable; urgency=low

  * Update to v1.9.0

 -- Eric Biggers <ebiggers3@gmail.com>  Sat, 30 Jan 2016 23:58:54 -0600

=== debian/control ===
Source: wimlib
Priority: optional
Maintainer: Eric Biggers <ebiggers3@gmail.com>
Build-Depends: debhelper (>= 8.9.7), autotools-dev, pkg-config,
               libfuse-dev, libxml2-dev, libssl-dev,
               ntfs-3g-dev (>= 2011.4.12), libattr1-dev, attr, autoconf
Build-Depends-Indep: doxygen
Standards-Version: 3.9.3
Section: libs
Homepage: https://wimlib.net
Vcs-Git: git://wimlib.net/wimlib

Package: wimlib15
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wimtools
Description: Library to extract, create, modify, and mount WIM files
 wimlib is a C library for extracting, creating, modifying, and mounting WIM
 (Windows Imaging) files.  WIM is an archive format designed primarily for
 archiving Windows filesystems.  It features single-instancing and LZ77-based
 compression, and is used by Microsoft to distribute and deploy Windows Vista and
 later.  wimlib is an independent implementation of an API for handling WIM
 files, available on both UNIX-like systems and Windows, that provides features
 similar to Microsoft's WIMGAPI, as well as additional features such as support
 for pipable WIM files and programatically making changes to WIM images without
 mounting them.


Package: wimtools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: genisoimage, mtools, syslinux, cabextract
Description: Tools to extract, create, modify, and mount WIM files
 Tools to extract, create, modify, and mount WIM (Windows Imaging) files.  WIM is
 an archive format designed primarily for archiving Windows filesystems.  It
 features single-instancing and LZ77-based compression and is used by Microsoft
 to distribute and deploy Windows Vista and later.  WIM files are normally
 created by using the `imagex.exe' utility on Windows, but this package contains
 a free implementation of ImageX called "wimlib-imagex" that is designed to work
 on both UNIX-like systems and Windows.
 .
 In addition to the usual extract/create/update support, wimlib-imagex allows you
 to mount WIM images readonly or read-write, and it even allows you to extract or
 create a WIM image directly to/from an unmounted NTFS volume.  This makes it
 possible to, from Linux, back up or deploy a Windows OS directly to or from a
 WIM file, such as the install.wim distributed on the Windows installation media.
 .
 This package also contains a script to make a customized Windows PE image based
 on the capabilities provided by wimlib-imagex.

Package: wimlib-dev
Section: libdevel
Architecture: any
Depends: wimlib15 (= ${binary:Version}), ${misc:Depends}
Suggests: wimlib-doc
Description: wimlib - development files
 Development files for wimlib

Package: wimlib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: wimlib - API documentation
 API documentation for wimlib

## wimlib 1.13.3

=== debian/changelog ===
wimlib (1.13.3-1) unstable; urgency=medium

  * New upstream version 1.13.3
  * Add Multi-Arch lines
  * Bump Debhelper compat level

 -- Hilko Bengen <bengen@debian.org>  Sun, 15 Nov 2020 12:59:34 +0100

=== debian/control ===
Source: wimlib
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper-compat (= 12),
 attr,
 attr-dev,
 doxygen,
 libfuse-dev,
 libxml2-dev,
 libssl-dev,
 ntfs-3g-dev (>= 2011.4.12) [linux-any],
 pkg-config,
Standards-Version: 4.3.0
Section: libs
Homepage: http://wimlib.net/
Vcs-Git: https://salsa.debian.org/debian/wimlib.git
Vcs-Browser: https://salsa.debian.org/debian/wimlib

Package: libwim15
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wimtools
Description: Library for manipulating Windows Imaging files
 wimlib is a C library for extracting, creating, modifying, and
 mounting WIM (Windows Imaging) files.
 .
 WIM is an archive format designed primarily for archiving Windows
 filesystems. It features single-instancing and LZ77-based
 compression, and is used by Microsoft to distribute and deploy
 Windows Vista and later.

Package: wimtools
Section: otherosfs
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: genisoimage, mtools, syslinux, cabextract
Description: Tools for manipulating Windows Imaging files
 WIM is an archive format designed primarily for archiving Windows
 filesystems. It features single-instancing and LZ77-based
 compression, and is used by Microsoft to distribute and deploy
 Windows Vista and later.
 .
 This package contains a free implementation of the ImageX utility
 that is used to create WIM files on Windows.

Package: libwim-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwim15 (= ${binary:Version}), ${misc:Depends}
Suggests: wimlib-doc
Description: Library for manipulating Windows Imaging files - development files
 wimlib is a C library for extracting, creating, modifying, and
 mounting WIM (Windows Imaging) files.
 .
 This package contains the static library and header files

Package: libwim-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery,
Description: Library for manipulating Windows Imaging files - API documentation
 wimlib is a C library for extracting, creating, modifying, and
 mounting WIM (Windows Imaging) files.
 .
 This package contains the API documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --with=autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --without-libcrypto \
		$(if $(findstring linux,$(DEB_HOST_ARCH_OS)),,--without-ntfs-3g)

override_dh_auto_build:
	dh_auto_build
	cd doc && doxygen

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	dh_install -X.la

## wimlib 1.13.4

=== debian/changelog ===
wimlib (1.13.4-1) unstable; urgency=medium

  * New upstream version 1.13.4

 -- Hilko Bengen <bengen@debian.org>  Tue, 20 Apr 2021 09:21:23 +0200

## wimlib 1.13.5

=== debian/changelog ===
wimlib (1.13.5-1build1) jammy; urgency=medium

  * No-change rebuild against libntfs-3g89

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Jan 2022 14:01:04 +0000

wimlib (1.13.5-1) unstable; urgency=medium

  * New upstream version 1.13.5
  * Rebase patches
  * Bump Debhelper compat version

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Dec 2021 15:23:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wimlib
 Priority: optional
-Maintainer: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
+Build-Depends: debhelper-compat (= 13),
  attr,
  attr-dev,
  doxygen,

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,5 @@
 	dh_auto_build
 	cd doc && doxygen
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_install:
 	dh_install -X.la

## wimlib 1.13.6

=== debian/changelog ===
wimlib (1.13.6-1) unstable; urgency=medium

  * New upstream version 1.13.6
  * Strike removed files from copyright file

 -- Hilko Bengen <bengen@debian.org>  Tue, 13 Sep 2022 13:23:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: wimlib
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
+Maintainer: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper-compat (= 13),
  attr,
  attr-dev,

## wimlib 1.14.2

=== debian/changelog ===
wimlib (1.14.2-1) unstable; urgency=medium

  * New upstream version 1.14.2

 -- Hilko Bengen <bengen@debian.org>  Mon, 07 Aug 2023 15:24:07 +0200

wimlib (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1

 -- Hilko Bengen <bengen@debian.org>  Sat, 29 Apr 2023 17:48:50 +0200

wimlib (1.14.0-1) unstable; urgency=medium

  [ Hilko Bengen ]
  * New upstream version 1.14.0
  * Remove obsolete debian/wimlib* files
  * Update fuse build-dependency
  * Update documentation filenames
  * Update patches

  [ Jenkins ]
  * Apply multi-arch hints. + libwim-doc: Add Multi-Arch: foreign.

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Submit (from ./configure).
  * Drop unnecessary dependency on dh-autoreconf.
  * Update standards version to 4.6.1, no changes needed.
  * Remove field Section on binary package libwim15 that duplicates source.

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Apr 2023 20:24:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,18 @@
  attr,
  attr-dev,
  doxygen,
- libfuse-dev,
+ libfuse3-dev,
  libxml2-dev,
  libssl-dev,
  ntfs-3g-dev (>= 2011.4.12) [linux-any],
  pkg-config,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
 Section: libs
-Homepage: http://wimlib.net/
+Homepage: https://wimlib.net/
 Vcs-Git: https://salsa.debian.org/debian/wimlib.git
 Vcs-Browser: https://salsa.debian.org/debian/wimlib
 
 Package: libwim15
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -62,6 +61,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, libjs-jquery,
+Multi-Arch: foreign
 Description: Library for manipulating Windows Imaging files - API documentation
  wimlib is a C library for extracting, creating, modifying, and
  mounting WIM (Windows Imaging) files.

## wimlib 1.14.3

=== debian/changelog ===
wimlib (1.14.3-1) unstable; urgency=medium

  * New upstream version 1.14.3

 -- Hilko Bengen <bengen@debian.org>  Tue, 05 Sep 2023 10:38:50 +0200

## wimlib 1.14.4

=== debian/changelog ===
wimlib (1.14.4-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:40:46 +1100

wimlib (1.14.4-1.1build1) noble; urgency=high

  * No change rebuild against libntfs-3g89t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:59:17 +0100

wimlib (1.14.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063067

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 02:00:16 +0000

wimlib (1.14.4-1) unstable; urgency=medium

  * New upstream version 1.14.4
  * Update symbols file

 -- Hilko Bengen <bengen@debian.org>  Mon, 26 Feb 2024 11:33:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wimlib
 Priority: optional
-Maintainer: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
  attr,
  attr-dev,
  doxygen,
@@ -16,7 +17,10 @@
 Vcs-Git: https://salsa.debian.org/debian/wimlib.git
 Vcs-Browser: https://salsa.debian.org/debian/wimlib
 
-Package: libwim15
+Package: libwim15t64
+Provides: ${t64:Provides}
+Replaces: libwim15
+Breaks: libwim15 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -49,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libwim15 (= ${binary:Version}), ${misc:Depends}
+Depends: libwim15t64 (= ${binary:Version}), ${misc:Depends}
 Suggests: wimlib-doc
 Description: Library for manipulating Windows Imaging files - development files
  wimlib is a C library for extracting, creating, modifying, and

=== debian/watch ===
version=3

https://wimlib.net/ .*/wimlib-(\d.*)\.tar\.gz

# http://wimlib.net/downloads/index.html wimlib-(\d.*)\.tar\.gz

## wimlib 1.14.4.6-1

=== debian/changelog ===
wimlib (1.14.4.6-1) stable; urgency=medium

  * Changed: No public changes

 -- Fabian Kalweit <f.kalweit@uib.de>  Thu, 14 Aug 2025 11:04:37 +0200

wimlib (1.14.4.5-1) stable; urgency=medium

  * Changed: add summary to package
  * Changed: change libfuse dependencies
  * Changed: add build dependencies

 -- Fabian Kalweit <f.kalweit@uib.de>  Thu, 07 Aug 2025 17:19:46 +0200

=== debian/control ===
Source: wimlib
Section: opsi
Priority: optional
Maintainer: uib GmbH <info@uib.de>
Homepage: https://github.com/ebiggers/wimlib
Build-Depends: debhelper (>= 9.2~), gcc, g++ | gcc-c++, fuse, libfuse3-dev | fuse3-devel, libxml2-dev | libxml2-devel, libssl-dev | openssl-devel, libattr1-dev | libattr-devel, attr, autoconf, automake, libtool, pkgconf | pkgconfig
Standards-Version: 3.9.4

Package: wimlib
Section: opsi
Architecture: any
Pre-Depends: 
Depends: fuse
Suggests: 
Provides: 
Breaks: 
Replaces: 
Conflicts: 
Description: Wimlib is a C library for working with WIM files
 wimlib is a C library for creating, modifying, extracting, and mounting files in the Windows Imaging Format (WIM files). wimlib and its command-line frontend wimlib-imagex provide a free and cross-platform alternative to Microsoft's WIMGAPI, ImageX, and DISM.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

clean:
	dh_testdir
	dh_clean
	rm -f debian/files || true

build:
	./bootstrap
	./configure CPPFLAGS=-Wno-cpp --without-ntfs-3g
	make
	pwd
	ls -la
	WORKDIR=$(pwd)
	echo "Building wimlib in ${WORKDIR}"
	ROOT_DIR_PATH=$(pwd)/rootfs
	echo "Creating rootfs directory at ${ROOT_DIR_PATH}"
	mkdir -p /tmp/wimlib
	echo "Build successful."
	echo "Installing files to /tmp/wimlib..."
	ls -la /tmp/wimlib
	make install DESTDIR=/tmp/wimlib
	ls -la /tmp/wimlib
	echo "Files copied to rootfs."
	mkdir -p rootfs
	cp -a /tmp/wimlib/* rootfs/
	ls -la rootfs

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	$(eval sys_arch=$(shell dpkg --print-architecture))
	if [ -d rootfs ]; then cp -a rootfs/* debian/wimlib/; fi;
	if [ -d rootfs-$(sys_arch) ]; then cp -a rootfs-$(sys_arch)/* debian/wimlib/; fi;
	
	dh_install

binary-indep: install
	dh_testdir -i
	dh_installdebconf
	dh_installchangelogs
	dh_installdocs
	dh_md5sums
	dh_gencontrol
	dh_installdeb
	dh_builddeb

binary: binary-indep
build:
.PHONY: clean binary-indep binary install build

## wimlib 1.14.5

=== debian/changelog ===
wimlib (1.14.5-1) unstable; urgency=medium

  * New upstream version 1.14.5
  * Fix FTBFS after successful build (Closes: #1047228)
  * Bump Standards-Version
  * Replace pkg-config build-dependency
  * Bump watch file standard

 -- Hilko Bengen <bengen@debian.org>  Sun, 08 Feb 2026 17:27:10 +0100

=== debian/control ===
Source: wimlib
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
 attr,
 attr-dev,
 doxygen,
 libfuse3-dev,
 libxml2-dev,
 libssl-dev,
 ntfs-3g-dev (>= 2011.4.12) [linux-any],
 pkgconf,
Standards-Version: 4.7.3
Section: libs
Homepage: https://wimlib.net/
Vcs-Git: https://salsa.debian.org/debian/wimlib.git
Vcs-Browser: https://salsa.debian.org/debian/wimlib

Package: libwim15t64
Provides: ${t64:Provides}
Replaces: libwim15
Breaks: libwim15 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wimtools
Description: Library for manipulating Windows Imaging files
 wimlib is a C library for extracting, creating, modifying, and
 mounting WIM (Windows Imaging) files.
 .
 WIM is an archive format designed primarily for archiving Windows
 filesystems. It features single-instancing and LZ77-based
 compression, and is used by Microsoft to distribute and deploy
 Windows Vista and later.

Package: wimtools
Section: otherosfs
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: genisoimage, mtools, syslinux, cabextract
Description: Tools for manipulating Windows Imaging files
 WIM is an archive format designed primarily for archiving Windows
 filesystems. It features single-instancing and LZ77-based
 compression, and is used by Microsoft to distribute and deploy
 Windows Vista and later.
 .
 This package contains a free implementation of the ImageX utility
 that is used to create WIM files on Windows.

Package: libwim-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwim15t64 (= ${binary:Version}), ${misc:Depends}
Suggests: wimlib-doc
Description: Library for manipulating Windows Imaging files - development files
 wimlib is a C library for extracting, creating, modifying, and
 mounting WIM (Windows Imaging) files.
 .
 This package contains the static library and header files

Package: libwim-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery,
Multi-Arch: foreign
Description: Library for manipulating Windows Imaging files - API documentation
 wimlib is a C library for extracting, creating, modifying, and
 mounting WIM (Windows Imaging) files.
 .
 This package contains the API documentation.

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 
 https://wimlib.net/ .*/wimlib-(\d.*)\.tar\.gz
